import { UserRepository } from '@app/domain/users/user.repository';
import { Observable } from 'rxjs';
import { User } from '@app/domain/users/user.model';

export class GetUserUseCase {
  constructor(private readonly repo: UserRepository) {}
  execute(userId: string): Observable<User> {
    return this.repo.getUserById(userId);
  }
}
